Bug 171580 - Review Request: gperiodic
Summary: Review Request: gperiodic
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Reber
QA Contact: David Lawrence
URL: http://koti.welho.com/jfrantz/softwar...
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2005-10-23 18:00 UTC by Eric Tanguy
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-09 21:17:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
spec patch (1.90 KB, patch)
2005-10-24 09:53 UTC, Adrian Reber
no flags Details | Diff

Description Eric Tanguy 2005-10-23 18:00:43 UTC
Spec Name or Url: http://perso.wanadoo.fr/eric.tanguy/gperiodic.spec
SRPM Name or Url: http://perso.wanadoo.fr/eric.tanguy/gperiodic-2.0.8-1.src.rpm
Description: Gperiodic displays a periodic table of the elements, allowing you to
browse through the elements, and view detailed information about each
element.

Comment 1 Adrian Reber 2005-10-24 09:51:23 UTC
- debuginfo package is empty
- unnecessary "Requires: gtk2"
- .desktop file wrong encoding, typo in categories
- empty and unnecessary files in %doc
- RPM_OPT_FLAGS not honoured

I will atach a patch fixing these problems.

Comment 2 Adrian Reber 2005-10-24 09:53:07 UTC
Created attachment 120301 [details]
spec patch

Comment 3 Eric Tanguy 2005-10-24 10:18:59 UTC
Ok Thanks.
Spec Name or Url: http://perso.wanadoo.fr/eric.tanguy/gperiodic.spec
SRPM Name or Url: http://perso.wanadoo.fr/eric.tanguy/gperiodic-2.0.8-2.src.rpm

Comment 4 Eric Tanguy 2005-10-25 10:32:24 UTC
Could you explicitly approve the new package or ask for more modifications, 
please.

Comment 5 Adrian Reber 2005-10-30 19:55:41 UTC
* builds in mock
* clean installation and removal
* source matches upstream
* spec looks good
* lang macro used
* no scripts to check
* works as expected

APPROVED


Note You need to log in before you can comment on or make changes to this bug.